菜单

APMServ5.2.6升级php到5.4版本

2013 年 7 月 9 日 - 技术类
APMServ5.2.6 升级php5.2 到 5.4版本
现在很多开发项目需要php5.3或以上的版本支持,
但是自己机器用的集成环境APMServ5.2.6 的php版本是php5.2.6,所以需要升级一下PHP版本:
1、到 php下载地址下载PHP5.4.9的VC9版本的zip文件,我下载的是:php-5.4.9-Win32-VC9-x86.zip
2、先停掉自己的web服务器,把原PHP目录重命名(备份,重命名为5.2.6), php-5.4.9-Win32-VC9-x86.zip 解压文件到新建的“PHP”目录,重命名php.ini-development为php.ini
3、修改php.ini配置文件,找到extension_dir 设置php的扩展文件目录地址,
然后开启自己需要的扩展,和根据自己的需求设置其他选项,我的是:
extension_dir= “E:/APMServ5.2.6/PHP/ext”
4、到Apache\conf目录中找到httpd.conf修改配置,在LoadModule列表后面添加如下配置【具体路径根据自己的环境替换】:
#注意的是默认某些配置已存在,请仔细配对,及检查路径。
LoadFile “E:/APMServ5.2.6/PHP/libmysql.dll”
#这个要特别注意,压缩包本身是没有这个文件的,注意要从你刚刚备份的旧版本那边拷贝过来
LoadFile “E:/APMServ5.2.6/PHP/php5ts.dll”
LoadModule php5_module “E:/APMServ5.2.6/PHP/php5apache2_2.dll”
PHPIniDir “E:/APMServ5.2.6/PHP/php.ini”
5、重启服务器,查看phpinfo信息是不是有了
PS:
1、libmysql.dll和php5ts.dll文件也可以直接拷贝到C:\Windows\System32系统目录,
这样在apache里面就无需用LoadFile指定了
2、extension_dir 的配置项应该放在开启扩展列表之前
3、升级后APMServ5.2.6中自带的phpmyadmin也得升级到更新的版本:
在php5.3.0后的版本,取消了对ereg函数的支持,报错:Deprecated: Function ereg_replace() is deprecated

附:关于5.2.X升级5.4后,网站变慢的问题:本地的网站链接数据库地址有localhost的必须改成127.0.0.1,因为5.4对这个的域名解析有点问题,导致链接速度变慢,本人亲自测试过,CI下5.2.6需要0.15秒的操作变成了2.058秒,localhost改成127.0.0.1后,速度恢复为0.05秒,大家自己对比下效率值差了几倍~~OMG

发表评论

电子邮件地址不会被公开。 必填项已用*标注